Debian Bug report logs - #645397
sox: add armhf to the arch list of libsox-fmt-alsa

version graph

Package: sox; Maintainer for sox is Pascal Giard <pascal@debian.org>; Source for sox is src:sox.

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Sat, 15 Oct 2011 10:27:15 UTC

Severity: important

Found in version sox/14.3.2-2

Fixed in version sox/14.3.2-3

Done: Pascal Giard <pascal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#645397; Package sox. (Sat, 15 Oct 2011 10:27:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Pascal Giard <pascal@debian.org>. (Sat, 15 Oct 2011 10:27:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: sox: add armhf to the arch list of libsox-fmt-alsa
Date: Sat, 15 Oct 2011 13:24:24 +0300
Package: sox
Version: 14.3.2-2
Severity: important

While sox already builds for armhf, it is missing libsox-fmt-alsa,
which is needed by libsox-fmt-all and packages that require it don't
get all build-dependencies:

http://buildd.debian-ports.org/status/package.php?p=mlt&suite=sid

Please consider fixing this.

Thanks

Konstantinos




Reply sent to Pascal Giard <pascal@debian.org>:
You have taken responsibility. (Sun, 11 Dec 2011 05:51:04 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Sun, 11 Dec 2011 05:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 645397-close@bugs.debian.org (full text, mbox):

From: Pascal Giard <pascal@debian.org>
To: 645397-close@bugs.debian.org
Subject: Bug#645397: fixed in sox 14.3.2-3
Date: Sun, 11 Dec 2011 05:47:22 +0000
Source: sox
Source-Version: 14.3.2-3

We believe that the bug you reported is fixed in the latest version of
sox, which is due to be installed in the Debian FTP archive:

libsox-dev_14.3.2-3_amd64.deb
  to main/s/sox/libsox-dev_14.3.2-3_amd64.deb
libsox-fmt-all_14.3.2-3_amd64.deb
  to main/s/sox/libsox-fmt-all_14.3.2-3_amd64.deb
libsox-fmt-alsa_14.3.2-3_amd64.deb
  to main/s/sox/libsox-fmt-alsa_14.3.2-3_amd64.deb
libsox-fmt-ao_14.3.2-3_amd64.deb
  to main/s/sox/libsox-fmt-ao_14.3.2-3_amd64.deb
libsox-fmt-base_14.3.2-3_amd64.deb
  to main/s/sox/libsox-fmt-base_14.3.2-3_amd64.deb
libsox-fmt-ffmpeg_14.3.2-3_amd64.deb
  to main/s/sox/libsox-fmt-ffmpeg_14.3.2-3_amd64.deb
libsox-fmt-mp3_14.3.2-3_amd64.deb
  to main/s/sox/libsox-fmt-mp3_14.3.2-3_amd64.deb
libsox-fmt-oss_14.3.2-3_amd64.deb
  to main/s/sox/libsox-fmt-oss_14.3.2-3_amd64.deb
libsox-fmt-pulse_14.3.2-3_amd64.deb
  to main/s/sox/libsox-fmt-pulse_14.3.2-3_amd64.deb
libsox1b_14.3.2-3_amd64.deb
  to main/s/sox/libsox1b_14.3.2-3_amd64.deb
sox_14.3.2-3.diff.gz
  to main/s/sox/sox_14.3.2-3.diff.gz
sox_14.3.2-3.dsc
  to main/s/sox/sox_14.3.2-3.dsc
sox_14.3.2-3_amd64.deb
  to main/s/sox/sox_14.3.2-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645397@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pascal Giard <pascal@debian.org> (supplier of updated sox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Dec 2011 23:53:50 -0500
Source: sox
Binary: sox libsox1b libsox-fmt-base libsox-fmt-alsa libsox-fmt-ao libsox-fmt-ffmpeg libsox-fmt-mp3 libsox-fmt-oss libsox-fmt-pulse libsox-fmt-all libsox-dev
Architecture: source amd64
Version: 14.3.2-3
Distribution: unstable
Urgency: low
Maintainer: Pascal Giard <pascal@debian.org>
Changed-By: Pascal Giard <pascal@debian.org>
Description: 
 libsox-dev - Development files for the SoX library
 libsox-fmt-all - All SoX format libraries
 libsox-fmt-alsa - SoX alsa format I/O library
 libsox-fmt-ao - SoX Libao format I/O library
 libsox-fmt-base - Minimal set of SoX format libraries
 libsox-fmt-ffmpeg - SoX ffmpeg format library
 libsox-fmt-mp3 - SoX MP3 format library
 libsox-fmt-oss - SoX OSS format I/O library
 libsox-fmt-pulse - SoX PulseAudio format I/O library
 libsox1b   - SoX library of audio effects and processing
 sox        - Swiss army knife of sound processing
Closes: 645397
Changes: 
 sox (14.3.2-3) unstable; urgency=low
 .
   * [debian/control]:
     - Added armhf to architectures for which libsox-fmt-alsa should be built,
       thanks to Konstantinos Margaritis (closes: #645397).
Checksums-Sha1: 
 1fff4f2058bb9cd08dfb6722ee5c8e72a6d8160a 1893 sox_14.3.2-3.dsc
 a14d173b6cac63f67b7df60976f9a14f9066054c 12497 sox_14.3.2-3.diff.gz
 820f2ba1ad799fb8bfa4cfd2573c0175ef055a08 136634 sox_14.3.2-3_amd64.deb
 0e30b32275536a53d7fa2629cacb8655bcab0e29 303402 libsox1b_14.3.2-3_amd64.deb
 d35cb8e7a1c2058d7996a5c6475600a6f6a93adf 70954 libsox-fmt-base_14.3.2-3_amd64.deb
 b1b7db7f63ade3cd50505a51e51e30a704d2cd7f 48476 libsox-fmt-alsa_14.3.2-3_amd64.deb
 2d66e1b04d1577f5edf190bdf94d1b786f3ed1ae 45284 libsox-fmt-ao_14.3.2-3_amd64.deb
 6dca136d646ed7fccf042922bcbf4c6ccf1a35ef 47870 libsox-fmt-ffmpeg_14.3.2-3_amd64.deb
 9ed40893f416e9507200c2ab37c4e325d2280771 54566 libsox-fmt-mp3_14.3.2-3_amd64.deb
 16bcef76d05c3bf645c19356caafd1526ecad58f 45778 libsox-fmt-oss_14.3.2-3_amd64.deb
 97b99321eb1f6daaddd4989a9a2b062e9af176d2 45180 libsox-fmt-pulse_14.3.2-3_amd64.deb
 0e74fb206ce956fa822a8b1548590bdfc6b9168d 42312 libsox-fmt-all_14.3.2-3_amd64.deb
 5710211f57845d7ae5c37b54e75e14e41a6d69ff 458326 libsox-dev_14.3.2-3_amd64.deb
Checksums-Sha256: 
 c68bde3079d5d9295e13c6defe2af7d7d4887d1f393bed65a71b22a3d45a51f1 1893 sox_14.3.2-3.dsc
 ccc5d21ce528a362c6c386c181081024fe45b98e8ed7d3bddf24a05db36ee4ab 12497 sox_14.3.2-3.diff.gz
 a497a2a5d9c3e4727ab176841a7d9cafc8741ee05a686d595b2f5382d3f13553 136634 sox_14.3.2-3_amd64.deb
 be89b20b2efe0306e55b6e2ce56775f7c50f7dbe12ceeb6233222ae118a4450a 303402 libsox1b_14.3.2-3_amd64.deb
 5434f1d330109d74131e4d702a7dc48d6fce5f476545db872dcc6930f98b22d4 70954 libsox-fmt-base_14.3.2-3_amd64.deb
 19cf572b028bed144f53f39dcb2522d1eb3c930aa85f5b79bd065457ea1ccc51 48476 libsox-fmt-alsa_14.3.2-3_amd64.deb
 121ff57dd7ff095cef34d9d5ba690c76f7cf02d7464059f2c1216d7f82d3fdec 45284 libsox-fmt-ao_14.3.2-3_amd64.deb
 8b7a11969bfcf333820ae4f1600a132c73d1672602cb792495cd875c77d565f2 47870 libsox-fmt-ffmpeg_14.3.2-3_amd64.deb
 42b69bd21f9238cbd87379569609c8e10451f645d97d071288ede4f0eb224012 54566 libsox-fmt-mp3_14.3.2-3_amd64.deb
 a1082b0c2d05dc22ccfe24388050e7a00b694c4b7e6dea9d504141375d9a0a7d 45778 libsox-fmt-oss_14.3.2-3_amd64.deb
 4b773a589c6f1367f4994a77e4952cafe6a4ae1f3625caad1ce80e7a753b232e 45180 libsox-fmt-pulse_14.3.2-3_amd64.deb
 2e3714cd1ff68d18fb2fd4cef6f6af6cbc7d3a6fac005b6460a894bf287cc052 42312 libsox-fmt-all_14.3.2-3_amd64.deb
 31bb9f5106aeb65616e36403bffb84ae7e37f6ac747cdbfc7bd4a1069e294db0 458326 libsox-dev_14.3.2-3_amd64.deb
Files: 
 351d51a7c107aaca6a72496d3e5cca38 1893 sound optional sox_14.3.2-3.dsc
 956b6fdfc9384288fab93301298e84a0 12497 sound optional sox_14.3.2-3.diff.gz
 acac48849d503faa99439655fcafe3ac 136634 sound optional sox_14.3.2-3_amd64.deb
 6b2fef12071f749c98c035075bcd11a6 303402 sound optional libsox1b_14.3.2-3_amd64.deb
 57d4aa1b26cecf8070fde2211a790d02 70954 sound optional libsox-fmt-base_14.3.2-3_amd64.deb
 64f3d69674aa136153adfe37aa96bc27 48476 sound optional libsox-fmt-alsa_14.3.2-3_amd64.deb
 ba3aa46ac99ac850c6fe15820e1e1bb3 45284 sound optional libsox-fmt-ao_14.3.2-3_amd64.deb
 fbd726fc82d18ef12634c55af6ade267 47870 sound optional libsox-fmt-ffmpeg_14.3.2-3_amd64.deb
 69770439cb29843ab8daa57a798b5e7f 54566 sound optional libsox-fmt-mp3_14.3.2-3_amd64.deb
 2ef6300f9857a500dcde779dc23fa585 45778 sound optional libsox-fmt-oss_14.3.2-3_amd64.deb
 aec7a9dfdf60e2742c9320c646af698a 45180 sound optional libsox-fmt-pulse_14.3.2-3_amd64.deb
 6d79cc1bc88e0887aa2b6e903b867994 42312 sound optional libsox-fmt-all_14.3.2-3_amd64.deb
 a0ddcdae22129d9c28d33760f16ff8b2 458326 libdevel optional libsox-dev_14.3.2-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7kQB8ACgkQ1Lfd97FsypXbywCfYcfqhfDKYdvkKAoDbAfH0zFB
LccAnAgQ15CwRfGlGIUcXnNbtDwXEqMt
=L0zh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Jan 2012 07:40:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:12:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.